c     Wandeln von Surfer-Inputfiles in Gnu-Inputfile

C     im Gnuplot: set contour     
C		  set nosurface
C    		  set view 0,0
C    		  splot "xxxxx.g" with lines
C     gibt aequivalentes Bild zu SURFER (PC) contour-plot.
C     oder:
C     3-d-Plot:
C                 set surface
C		  set view 60,30
C                 splot ....
C     Dann ist vorne die x-, seitlich nach hinten die y-Achse.
C
C     k.b./p.sch. 6.96
C     		

      implicit none
      
      character*80 namsur,name,text,namgnu
      real feld(128,128)
      integer nx,ny,trimle

      write(*,*)' Wandeln eines Surfer-Files in GnuPlot-File:'
      write(*,*)' 2D,dia-schnitt,axe-schnitt' 

 10   write(*,*)' Surfer-file (ohne .grd):'
      read(*,'(a80)') name
      if (trimle(name).eq.0) then
	 print *,'Falsche Eingabe.'
	 goto 10
      endif
      namsur=name(1:trimle(name))//'.grd' 
      namgnu=name(1:trimle(name))//'.g' 

      print *,'SURFER-Datei: ',namsur(1:50)

      open(13,file=namsur,status='old',err=11)
      goto 12
11      print *,'Datei existiert nicht.'
        goto 10

12    read(13,'(a80)')text
      
      read(13,*)nx,ny

c     Ueberlesen von xmin,xmax, ymin,ymax,zmin,zmax      
      read(13,'(a80)')text
      read(13,'(a80)')text
      read(13,'(a80)')text
     
      call liesf(feld,nx,ny)
      close(13) 
      print *,'GNUPLOT-Datei: ',namgnu(1:50)


      call gnuaus(namgnu,feld,nx,ny)
C     call diaaus(feld,nx,ny) 
C     call axeaus(feld,nx,ny) 

      end 


c***********************************************************************
      integer function trimle(T)
      character t*(*)
      do 1, trimle=len(t),1,-1
1     if (t(trimle:trimle).ne.' ') return
      trimle=0
      end
c***********************************************************************
      subroutine liesf(feld,nx,ny)

      real feld(nx,ny)

      read(13,*)feld

      end
c***********************************************************************
      subroutine gnuaus(name,feld,nx,ny)
       
      real feld(nx,ny)
      character*80 name

c     2D-Dichte ausgeben
      open(17,file=name,status='unknown')

      id=1
      do 120 iy=1,ny
        do 110 ix=1,nx
          write(17,*) feld(ix,iy)
          id=id+1
 110    continue
        write(17,*)
 120  continue   

      close(17)

      end

c*********************************************************

      subroutine diaaus(feld,nx,ny)
      real feld(nx,ny) 
      character*80 namgnu

c     Diagonal-Schnitt ausgeben
      write(*,*)' Gnuplot-file fuer Diagonal-Schnitt:'
      read(*,'(a80)')namgnu

      open(17,file=namgnu,status='unknown')
      do 130 iy=1,ny
        write(17,*)iy,feld(iy,iy)
 130    continue   
      close(17)
     
      end

c***************************************************************
      subroutine axeaus(feld,nx,ny)
      real feld(nx,ny) 
      character*80 namgnu

c     Axial-Schnitt ausgeben
 11   write(*,*)' Gnuplot-file fuer Axial-Schnitt:'
      read(*,'(a80)')namgnu
      write(*,*)' Nr der x-Koordinate:'
      read(*,*)nxx

      open(17,file=namgnu,status='unknown')
      do 140 iy=1,ny
        write(17,*)iy,feld(nxx,iy)
 140    continue   
      close(17) 

      goto 11
      end



